<?php
 	session_start(); 

	if(!isset($_SESSION['atcrmsuloginsesion']))
	{
		header('Location: index.php');
		return;
	}
	if($_SESSION['atcrmsutype']!='Superuser'){
			header('Location: index.php');
		return;
	}

	
	if($_SERVER['REQUEST_METHOD'] === 'POST')
	{
		if(!isset($_POST['_token']) || ($_POST['_token']!==$_SESSION['_token'] ) )
		{
			header('Location: index.php');
			return;
		}
	}
	else
	{
		header('Location: index.php');
		return;
	}
	$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));
	date_default_timezone_set("Asia/Kolkata");
				$mdate1= date('Y-m-d H:i:s');
	
	include("connect.php");

	$smessage=$_POST['smessage'];
	
	$eve1 = "INSERT INTO res_suggestion_master (smessage,brmid,saddedon,sstatus) VALUES('$smessage',1,'$mdate1','Pending')";
	$re1 = mysqli_query($conn, $eve1);
		
	$_SESSION['msg'] = "Record saved successfully";
	header('Location: suggestion.php');
?>